<?php
	class buzzblogpro_hero_widget extends WP_Widget {

	function __construct() {

		$widget_ops = array(
			'classname' => 'buzzblogpro_hero_widget', 
			'description'=> esc_html__('Hercules Hero Section Widget', 'buzzblogpro') 
		);

		parent::__construct(
			'buzzblogpro_hero_widget',
			esc_html__('Hercules - Hero', 'buzzblogpro'),
			$widget_ops
		);

	}
		/** @see WP_Widget::widget */
		function widget($args, $instance) {
			extract(array_merge($args , $instance));
			echo wp_kses_post( $args['before_widget'] );
 
$enable_parallax = (isset($fill) && $fill=='on')? 'scaled' : 'cover';
			
			$width = (isset($image_width)) ? $image_width : '1200';
$height	 = (isset($image_height)) ? $image_height : '900';
$parallax_height = (isset($section_height)) ? 'min-height:'.$section_height.'%;min-height:'.$section_height.'vh;' : 'min-height:50%;min-height:50vh;';
	
$attr = '';
$embed = (isset($video_url)) ? $video_url : '';
$embed_start = (isset($video_start)) ? $video_start : '';
$embed_end = (isset($video_end)) ? $video_end : '';	
$attr        .= ' data-video="' . $embed . '"';
$attr        .= ' data-start="' . $embed_start . '"';
$attr        .= ' data-end="' . $embed_end . '"';
$attr        .= ' data-parallax="' . $enable_parallax . '"';
$attr        .= ' style="' . $parallax_height . '"';
$fontsize = (isset($title_font_size)) ? 'style="font-size:' . $title_font_size . 'px;line-height:' . $title_font_size . 'px;"' : '';
if ( $embed ) {	
?>

<div class="parallax-image modern-layout parallax-video overlay-mode" <?php echo (string) $attr; ?>>
<?php }else{ ?>

			<div style="<?php echo esc_attr($parallax_height);?> background-image: url(<?php echo esc_url($image_url);?>);" class="parallax-image modern-layout overlay-mode" data-herculesdesign-parallax='{"backgroundUrl":"<?php echo esc_attr($image_url);?>","backgroundSize":[<?php echo esc_attr($width);?>,<?php echo esc_attr($height);?>],"backgroundSizing":"<?php echo esc_attr($enable_parallax);?>","limitMotion":"0.7"}' >
			<?php } ?>
			<section class="single-title-section">
<?php
echo ($button_url) ? '<a class="hero-link" href="'.esc_url($button_url).'" target="_self">' : '' ;
echo ($title) ? '<h2 '.$fontsize.' class="post-title">'.$title.'</h2>' : '' ;
echo ($button_url) ? '</a>' : '' ;
echo ($description_text) ? '<div class="hero-text">'.$description_text.'</div>' : '' ; 
echo ($button_url && $button_text) ? '<a class="slideshow-btn" href="'.esc_url($button_url).'" target="_self">'.esc_attr($button_text).'</a>' : '' ;
?> 
</section></div>
			<?php
			echo wp_kses_post( $args['after_widget'] );

			
		}

		/** @see WP_Widget::update */
		public function update( $new_instance, $old_instance ) {
			return $new_instance;
		}

		/** @see WP_Widget::form */
		public function form($instance) {
			$defaults = array(
				'title' => '',
				'title_font_size' => '36',
				'description_text' => '',
				'video_url' => '',
				'video_start' => '',
				'video_end' => '',
				'image_width' => '',
				'image_height' => '',
				'image_url' => '',
				'fill' => '',
				'section_height' => '50',
				'button_url' => '',
				'button_text' => 'Read more',
			);
			extract(array_merge($defaults, $instance));

			$form_field_type = array(
				'title' => array('type' => 'text', 'class' => 'widefat', 'inline_style' => '',  'title' => esc_html__('Title', 'buzzblogpro'), 'description' => '', 'value' => $title),
'title_font_size' => array('type' => 'number', 'class' => '', 'inline_style' => 'width:60px;float: right;',  'title' => esc_html__('Title font size', 'buzzblogpro'), 'description' => '', 'value' => $title_font_size),
				'description_text' => array('type' => 'textarea', 'class' => 'widefat', 'inline_style' => '',  'title' => esc_html__('Additional text', 'buzzblogpro'), 'description' => 'Additional text', 'value' => $description_text),
				'video_url' => array('type' => 'text', 'class' => 'widefat', 'inline_style' => '', 'title' => esc_html__('Video URL', 'buzzblogpro'), 'description' => '', 'value' => $video_url),
				'video_start' => array('type' => 'text', 'class' => '', 'inline_style' => '',  'title' => esc_html__('Video start', 'buzzblogpro'), 'description' => '', 'value' => $video_start),
				'video_end' => array('type' => 'text', 'class' => '', 'inline_style' => '',  'title' => esc_html__('Video end', 'buzzblogpro'), 'description' => '', 'value' => $video_end),
				'image_width' => array('type' => 'text', 'class' => 'widefat image_width', 'inline_style' => 'display:none;',  'title' => '', 'description' => '', 'value' => $image_width),
				'image_height' => array('type' => 'text', 'class' => 'widefat image_height', 'inline_style' => 'display:none;',  'title' => '', 'description' => '', 'value' => $image_height),
				'image_url' => array('type' => 'upload', 'class' => 'widefat', 'inline_style' => '', 'title' => esc_html__('Image URL', 'buzzblogpro'), 'description' => '', 'value' => $image_url),
				'fill' => array('type' => 'checkbox', 'class' => '', 'inline_style' => '', 'title' => esc_html__('Enable parallax', 'buzzblogpro'), 'description' => '', 'value' => $fill),
				'section_height' => array('type' => 'number', 'class' => '', 'inline_style' => 'width:60px;float: right;',  'title' => esc_html__('Section height', 'buzzblogpro'), 'description' => esc_html__('Based on the height of the viewport', 'buzzblogpro'), 'value' => $section_height),
				'button_url' => array('type' => 'text', 'class' => 'widefat', 'inline_style' => '', 'title' => esc_html__('Button URL', 'buzzblogpro'), 'description' => '', 'value' => $button_url),
				'button_text' => array('type' => 'text', 'class' => 'widefat', 'inline_style' => '', 'title' => esc_html__('Button text', 'buzzblogpro'), 'description' => '', 'value' => $button_text)
			);

			$output = '';
			foreach ($form_field_type as $key => $args) {
				$field_id = esc_attr($this->get_field_id($key));
				$field_name = esc_attr($this->get_field_name($key));
				$field_class = $args['class'];
				$field_title = $args['title'];
				$field_description = $args['description'];
				$field_value = $args['value'];
				$field_options = isset($args['value_options']) ? $args['value_options'] : array() ;
				$inline_style = $args['inline_style'] ? 'style="'.$args['inline_style'].'"' : '' ;

				
				$output .= '<p>';
				
				switch ($args['type']) {
					case 'text':
						$output .= '<label '.$inline_style.' for="'.$field_id.'">'.$field_title.': <input '.$inline_style.' class="'.$field_class.'" id="'.$field_id.'" name="'.$field_name.'" type="text" value="'.esc_attr($field_value).'" /></label>';
					break;
					case 'checkbox':
						$checked = isset($instance[$key]) ? 'checked' : '' ;
						$output .= '<label for="'.$field_id.'"><input value="on" '.$inline_style.' class="'.$field_class.'" id="'.$field_id.'" name="'.$field_name.'" type="checkbox" '.$checked.' />'.$field_title.'</label>';
					break;
					case 'select':
						$output .= '<label for="'.$field_id.'">'.$field_title.': <select id="'.$field_id.'" name="'.$field_name.'" '.$inline_style.' >';
							if(!empty($field_options)){
								foreach ($field_options as $key_options => $value_options) {
									$selected = $key_options == $field_value ? ' selected' : '' ;
									$output .= '<option value="'.$key_options.'" '.$selected.'>'.$value_options.'</option>';
								}
							}
						$output .= '</select></label>';
					break;
					case 'textarea':
						$output .= '<textarea class="'.$field_class.'" rows="8" cols="10" id="'.$field_id.'" name="'.$field_name.'">'.$field_value.'</textarea>';
					break;
					case 'upload':
						$output .= '<label for="'.$field_id.'">'.$field_title.':</label>';
						$output .= '<input name="'.$field_name.'" id="'.$field_id.'"  '.$inline_style.' class="'.$field_class.'" type="text" size="36"  value="'.$field_value.'" />';
						$output .= '<input style="margin: 10px 0" class="button" onClick="hs_open_uploader(this, \'hero_widget_image\')" id="baner_image_upload" type="button" value="'.esc_html__('Select Image', 'buzzblogpro').'" />';
						$output .= '<span class="hero_widget_image" style="text-align:center;"><img src="'.esc_url($image_url).'" style="max-width:100%;"></span>';
					break; 
					case 'number':
					$output .= '<label for="'.$field_id.'">'.$field_title.': <input '.$inline_style.' type="number" name="'.$field_name.'" id="'.esc_attr($field_id).'" value="'.$field_value.'" min="1" max="100" /></label>';
					break;
					
				
				}
                if($field_description) {				
				$output .= '<br><small style="display:block;color:#aaa;">'.$field_description.'</small>';
				}
				$output .= '</p>';
			}
			
			echo balanceTags($output);
		}
	}
?>