<?php
/*
Hercules WP Instagram Widget
*/
class buzzblogpro_InstagramWidget extends WP_Widget {
function __construct() {
$widget_ops = array(
'classname' => 'buzzblogpro_instagram',
'description' => esc_html__('A widget that displays the latest Instagram images', 'buzzblogpro' )
);
parent::__construct( 'buzzblogpro_instagram-widget', esc_html__('Hercules - Instagram', 'buzzblogpro' ), $widget_ops );
}   // Widget Settings


function widget( $args, $instance ) {

				$title = empty( $instance['title'] ) ? '' : apply_filters( 'widget_title', $instance['title'] );
		$username = empty( $instance['username'] ) ? '' : $instance['username'];
		$custom_link_to_json = empty( $instance['custom_link_to_json'] ) ? '' : $instance['custom_link_to_json'];
		$token = empty( $instance['token'] ) ? '' : $instance['token'];
		$number = empty( $instance['number'] ) ? 6 : $instance['number'];
		$size = empty( $instance['size'] ) ? 'large' : $instance['size'];
		$target = empty( $instance['target'] ) ? '_self' : $instance['target'];
		$showtitle = empty( $instance['showtitle'] ) ? 'show' : $instance['showtitle'];
		$showprofilepic = empty( $instance['showprofilepic'] ) ? 'show' : $instance['showprofilepic'];
		$showfollowers = empty( $instance['showfollowers'] ) ? 'show' : $instance['showfollowers'];
		
		$link = empty( $instance['link'] ) ? '' : $instance['link'];

		echo wp_kses_post( $args['before_widget'] );

 
		do_action( 'wpiw_before_widget', $instance );

		if ( $username != '' ) {

			$media_array = $this->scrape_instagram( $username, $token, $showfollowers, $custom_link_to_json );
			
			
			if ( is_wp_error( $media_array ) ) {

				echo wp_kses_post( $media_array->get_error_message() );

			} else {

				// filter for images only?
				if ( $images_only = apply_filters( 'wpiw_images_only', FALSE ) )
					$media_array = array_filter( $media_array, array( $this, 'images_only' ) );

				// slice list down to required limit.
				$media_array = array_slice( $media_array, 0, $number );
				$profilepicture = $media_array[0]['profileimage']; 
				$followedby = $media_array[0]['followedby'];
				// filters for custom classes
				$ulclass = '';
				if($number == 5) {$ulclass = 'five';}
				if($number == 8) {$ulclass = 'eight';}
				if($number == 10) {$ulclass = 'ten';}
				
				switch ($size) {
		case 'large':
			$img_dimensions = 'width="640" height="640"';
		break;
		case 'thumbnail':
			$img_dimensions = 'width="160" height="160"';
		break;
		case 'small':
			$img_dimensions = 'width="320" height="320"';
		break;
		case 'original':
			$img_dimensions = '';
		break;
	}
				
				
				if (!empty($instance['enable_container'])) { ?>
				<div class="container"><div class="row"><div class="col-md-12">
				<?php } 
				?><div class="imgs_wrapper instagram <?php echo esc_attr( $ulclass ); ?>"><div class="images clearfix">
				<?php if ( $showtitle != 'hide' ) { ?>
				<div class="instagram_footer_heading">
				<?php
				
				
			echo wp_kses_post( $args['before_title'] . '<span>'.$title);
		
			$linkclass = apply_filters( 'wpiw_link_class', '' );

				switch ( substr( $username, 0, 1 ) ) {
			case '#':
				$url = '//instagram.com/explore/tags/' . str_replace( '#', '', $username );
				break;

			default:
				$url = '//instagram.com/' . str_replace( '@', '', $username );
				break;
		}	
			
		if ( $link != '' ) {
			?><a class="instagram-follow-btn" href="<?php echo trailingslashit( esc_url( $url ) ); ?>" rel="me" target="<?php echo esc_attr( $target ); ?>">
			
			<?php if ( $followedby && $showfollowers != 'hide' ) { echo '<small>'.esc_html__( 'Followed by: ', 'buzzblogpro'  ).number_format($followedby).' | </small>';} ?> @<?php echo wp_kses_post( $link ); ?>
			<?php if ( $profilepicture != '' && $showprofilepic != 'hide' ) { ?>
			<img style="margin-left:4px;" class="instagram-profile-pic img-circle" alt="<?php echo esc_attr($username); ?>" src="<?php echo esc_url($profilepicture); ?>" width="35" height="35" />
			<?php } ?>
			</a>
			
			<?php
		}
		echo '</span>'. wp_kses_post($args['after_title'] ); ?>
		
		</div> 
		<?php } ?>
		<?php
		$blank_image = get_stylesheet_directory_uri() . '/images/empty.png';
		$bool = buzzblogpro_getVariable('lazyload_images');
				foreach ( $media_array as $item ) {
				
				
				
						if ( $bool == 'yes') {
            $aclass = 'nolazyload lazyload';
            $src = 'src="'. esc_url( $blank_image ) .'" data-src="'. esc_url( $item[$size] ) .'"';
            
        } else {
 $aclass = 'nolazyload';
            $src = 'src="'. esc_url($item[$size]) .'"';
            
        }
					
				echo '<figure class="effect-bubba">
						<a href="'. esc_url( $item['link'] ) .'" target="'. esc_attr( $target ) .'"  class="overlay-button"></a><img class="'. esc_attr( $aclass ) .'" '. $src .' alt="'. esc_attr( $item['description'] ) .'" title="'. esc_attr( $item['description'] ).'" '.$img_dimensions.' />
						<figcaption> 
							<p class="icon-links">
								<span class="icon-heart"><i class="fa fa-heart-o"></i>'. $item['likes'] .'</span>
								<span class="icon-comment"><i class="fa fa-comment-o"></i>'.$item['comments'].'</span>
								
							</p>
							<p class="description">'.wp_trim_words( $item['description'], 5, '...' ).'</p>
						</figcaption>			
					</figure>';
					
					
				}
								
				?></div></div><?php
				
				if (!empty($instance['enable_container'])) { ?>
				</div></div></div>
				<?php } 
			}
		}

	

		do_action( 'wpiw_after_widget', $instance );

		echo wp_kses_post( $args['after_widget'] );
	}

	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 'title' => esc_html__( 'Instagram', 'buzzblogpro'  ), 'username' => '', 'token' => '', 'custom_link_to_json' =>'', 'number' => '', 'size' => 'large', 'link' => esc_html__( 'Follow Me!', 'buzzblogpro'  ), 'target' => '_self', 'showtitle' => 'show', 'showprofilepic' => 'show', 'showfollowers' => 'hide', 'enable_container' => '', ) );
		$title = $instance['title'];
		$username = $instance['username'];
		$token = $instance['token'];
		$custom_link_to_json = $instance['custom_link_to_json'];
		$number = absint( $instance['number'] );
		$size = $instance['size'];
		$target = $instance['target'];
		$showtitle = $instance['showtitle'];
		$showprofilepic = $instance['showprofilepic'];
		$showfollowers = $instance['showfollowers'];
		$link = $instance['link'];
		?>
		<p><label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php esc_html_e( 'Title', 'buzzblogpro'  ); ?>: <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /></label></p>
		<p><label for="<?php echo esc_attr( $this->get_field_id( 'username' ) ); ?>"><?php esc_html_e( 'Username', 'buzzblogpro'  ); ?>: <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'username' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'username' ) ); ?>" type="text" value="<?php echo esc_attr( $username ); ?>" /></label></p>
		<p><label for="<?php echo esc_attr( $this->get_field_id( 'token' ) ); ?>"><?php esc_html_e( 'Access Token (required)', 'buzzblogpro'  ); ?>: <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'token' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'token' ) ); ?>" type="text" value="<?php echo esc_attr( $token ); ?>" /></label>
		<br /><br />
		<small><?php esc_html_e( 'The Instagram Access Token is a long string of characters unique to your account that grants other applications access to your Instagram feed. You can get it manually from here: ', 'buzzblogpro'  ); ?><a href="https://instagram.com/oauth/authorize/?client_id=6a23c64d64d34163a0734b06308e492c&redirect_uri=https://instagram.hercules-design.com&response_type=token&hl=en" target="_blank"><?php esc_html_e( 'Generate your access token', 'buzzblogpro'  ); ?></a></small>
		</p>
		
		<p><label for="<?php echo esc_attr( $this->get_field_id( 'custom_link_to_json' ) ); ?>"><?php esc_html_e( 'Custom link to json/txt file', 'buzzblogpro'  ); ?>: <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'custom_link_to_json' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'custom_link_to_json' ) ); ?>" type="text" value="<?php echo esc_attr( $custom_link_to_json ); ?>" /></label></p>
						
        <p><label for="<?php echo esc_attr($this->get_field_id( 'number' )); ?>"><?php esc_html_e( 'Number of photos', 'buzzblogpro' ); ?>:</label>
			<select id="<?php echo esc_attr($this->get_field_id( 'number' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'number' )); ?>" class="widefat">
			<option value="5" <?php selected( '5', $number ) ?>><?php esc_html_e( '5 - zigzag', 'buzzblogpro' ); ?></option>
				<option value="6" <?php selected( '6', $number ) ?>><?php esc_html_e( '6', 'buzzblogpro' ); ?></option>
				<option value="8" <?php selected( '8', $number ) ?>><?php esc_html_e( '8', 'buzzblogpro' ); ?></option>
				<option value="10" <?php selected( '10', $number ) ?>><?php esc_html_e( '10', 'buzzblogpro' ); ?></option>
				<option value="12" <?php selected( '12', $number ) ?>><?php esc_html_e( '12', 'buzzblogpro' ); ?></option>
			</select>
		</p>
		<p><label for="<?php echo esc_attr( $this->get_field_id( 'size' ) ); ?>"><?php esc_html_e( 'Photo size', 'buzzblogpro'  ); ?>:</label>
			<select id="<?php echo esc_attr( $this->get_field_id( 'size' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'size' ) ); ?>" class="widefat">
				<option value="thumbnail" <?php selected( 'thumbnail', $size ) ?>><?php esc_html_e( 'Thumbnail', 'buzzblogpro'  ); ?></option>
				<option value="small" <?php selected( 'small', $size ) ?>><?php esc_html_e( 'Small', 'buzzblogpro'  ); ?></option>
				<option value="large" <?php selected( 'large', $size ) ?>><?php esc_html_e( 'Large', 'buzzblogpro'  ); ?></option>
				<option value="original" <?php selected( 'original', $size ) ?>><?php esc_html_e( 'Original', 'buzzblogpro'  ); ?></option>
			</select>
		</p>
		<p><label for="<?php echo esc_attr( $this->get_field_id( 'target' ) ); ?>"><?php esc_html_e( 'Open links in', 'buzzblogpro'  ); ?>:</label>
			<select id="<?php echo esc_attr( $this->get_field_id( 'target' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'target' ) ); ?>" class="widefat">
				<option value="_self" <?php selected( '_self', $target ) ?>><?php esc_html_e( 'Current window (_self)', 'buzzblogpro'  ); ?></option>
				<option value="_blank" <?php selected( '_blank', $target ) ?>><?php esc_html_e( 'New window (_blank)', 'buzzblogpro'  ); ?></option>
			</select>
		</p>
				<p><label for="<?php echo esc_attr( $this->get_field_id( 'showtitle' ) ); ?>"><?php esc_html_e( 'Show title', 'buzzblogpro'  ); ?>?</label>
			<select id="<?php echo esc_attr( $this->get_field_id( 'showtitle' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'showtitle' ) ); ?>" class="widefat">
				<option value="show" <?php selected( 'show', $showtitle ) ?>><?php esc_html_e( 'show', 'buzzblogpro'  ); ?></option>
				<option value="hide" <?php selected( 'hide', $showtitle ) ?>><?php esc_html_e( 'hide', 'buzzblogpro'  ); ?></option>
			</select>
		</p>
		<p><label for="<?php echo esc_attr( $this->get_field_id( 'showprofilepic' ) ); ?>"><?php esc_html_e( 'Show profile picture', 'buzzblogpro'  ); ?>?</label>
			<select id="<?php echo esc_attr( $this->get_field_id( 'showprofilepic' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'showprofilepic' ) ); ?>" class="widefat">
				<option value="show" <?php selected( 'show', $showprofilepic ) ?>><?php esc_html_e( 'show', 'buzzblogpro'  ); ?></option>
				<option value="hide" <?php selected( 'hide', $showprofilepic ) ?>><?php esc_html_e( 'hide', 'buzzblogpro'  ); ?></option>
			</select>
		</p>
		<p><label for="<?php echo esc_attr( $this->get_field_id( 'showfollowers' ) ); ?>"><?php esc_html_e( 'Show the number of followers', 'buzzblogpro'  ); ?>?</label>
			<select id="<?php echo esc_attr( $this->get_field_id( 'showfollowers' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'showfollowers' ) ); ?>" class="widefat">
				<option value="show" <?php selected( 'show', $showfollowers ) ?>><?php esc_html_e( 'show', 'buzzblogpro'  ); ?></option>
				<option value="hide" <?php selected( 'hide', $showfollowers ) ?>><?php esc_html_e( 'hide', 'buzzblogpro'  ); ?></option>
			</select>
		</p>
		<p><label for="<?php echo esc_attr( $this->get_field_id( 'link' ) ); ?>"><?php esc_html_e( 'Link text', 'buzzblogpro'  ); ?>: <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'link' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'link' ) ); ?>" type="text" value="<?php echo esc_attr( $link ); ?>" /></label></p>
		<p>
			<label for="<?php echo $this->get_field_id('enable_container'); ?>">
			<input type="checkbox" id="<?php echo $this->get_field_id('enable_container'); ?>" name="<?php echo $this->get_field_name('enable_container'); ?>" <?php if (isset($instance['enable_container'])) { checked((bool) $instance['enable_container'], true); } ?> /><?php _e('Enable container', 'buzzblogpro'); ?></label>
		</p>
		<?php

	}

	function update( $new_instance, $old_instance ) {
	
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['username'] = trim( strip_tags( $new_instance['username'] ) );
		$instance['token'] = trim( strip_tags( $new_instance['token'] ) );
		$instance['number'] = ! absint( $new_instance['number'] ) ? 6 : $new_instance['number'];
		$instance['size'] = ( ( $new_instance['size'] == 'thumbnail' || $new_instance['size'] == 'large' || $new_instance['size'] == 'small' || $new_instance['size'] == 'original' ) ? $new_instance['size'] : 'large' );
		$instance['target'] = ( ( $new_instance['target'] == '_self' || $new_instance['target'] == '_blank' ) ? $new_instance['target'] : '_self' );
		$instance['showtitle'] = ( ( $new_instance['showtitle'] == 'show' || $new_instance['showtitle'] == 'hide' ) ? $new_instance['showtitle'] : 'show' );
		$instance['showprofilepic'] = ( ( $new_instance['showprofilepic'] == 'show' || $new_instance['showprofilepic'] == 'hide' ) ? $new_instance['showprofilepic'] : 'show' );
		$instance['showfollowers'] = ( ( $new_instance['showfollowers'] == 'show' || $new_instance['showfollowers'] == 'hide' ) ? $new_instance['showfollowers'] : 'show' );
		$instance['custom_link_to_json'] = strip_tags($new_instance['custom_link_to_json']);
		$instance['enable_container'] = strip_tags($new_instance['enable_container']);
		
		$instance['link'] = strip_tags( $new_instance['link'] );
		delete_transient( 'instagram-hss-h-' . sanitize_title_with_dashes( $instance['username'] ) );
		delete_transient( 'instagram-hss-u-' . sanitize_title_with_dashes( $instance['username'] ) );
		return $instance;
		
	}

	
	function scrape_instagram( $username, $token, $showfollowers, $custom_link_to_json ) {
		global $wp_version;

		$username = trim( strtolower( $username ) );

		switch ( substr( $username, 0, 1 ) ) {
			case '#':
				$url              = 'https://www.instagram.com/explore/tags/' . str_replace( '#', '', $username ). '?__a=1';
				$transient_prefix = 'h';
				break;

			default:
				$url              = 'https://www.instagram.com/' . str_replace( '@', '', $username ). '?__a=1';
				$transient_prefix = 'u';
				break;
		}
		if (!empty($custom_link_to_json)) {
		$url = $custom_link_to_json;
		}

		if ( false === ( $instagram = get_transient( 'instagram-hss-' . $transient_prefix . '-' . sanitize_title_with_dashes( $username ) ) ) ) {

		if($token) {
		
		$ig_user_id = 'self';
		$followedby = '';
		if($showfollowers) {
$remote_wp_user = wp_remote_get( "https://api.instagram.com/v1/users/" . $ig_user_id . "/?access_token=" . $token );
 
$instagram_response_user = json_decode( $remote_wp_user['body'] );
 
if( $remote_wp_user['response']['code'] == 200 ) {

$followedby = empty($instagram_response_user->data->counts->followed_by) ? '' : $instagram_response_user->data->counts->followed_by;

}
}
 
$remote_wp = wp_remote_get( "https://api.instagram.com/v1/users/" . $ig_user_id . "/media/recent/?access_token=" . $token );
 
$instagram_response = json_decode( $remote_wp['body'] );
$instagram = array();
if( $remote_wp['response']['code'] == 200 ) {
 
	foreach( $instagram_response->data as $m ) {
	
					$instagram[] = array(
					'description' => empty($m->caption->text) ? '' : $m->caption->text,
					'link'        => $m->link,
					'time'        => $m->created_time,
					'comments'    => $m->comments->count,
					'likes'       => $m->likes->count,
					'thumbnail'   => $m->images->thumbnail->url,
					'small'       => $m->images->low_resolution->url,
					'large'       => $m->images->standard_resolution->url,
					'original'    => $m->images->standard_resolution->url,
					'type'        => $m->type,
					'profileimage' => $m->user->profile_picture,
					'followedby' => $followedby,
				);
	}
 
} elseif ( $remote_wp['response']['code'] == 400 ) {
	echo '<b>' . $remote_wp['response']['message'] . ': </b>' . $instagram_response->meta->error_message;
}
}else{

			$remote = wp_remote_get( $url, array(
				'user-agent' => 'Instagram/' . $wp_version . '; ' . home_url()
			) );

		if ( is_wp_error( $remote ) ) {
				return new WP_Error( 'site_down', esc_html__( 'Unable to communicate with Instagram.', 'buzzblogpro' ) );
			}

			if ( 200 !== wp_remote_retrieve_response_code( $remote ) ) {
				return new WP_Error( 'invalid_response', esc_html__( 'Instagram did not return a 200.', 'buzzblogpro' ) );
			}

			$insta_array = json_decode( $remote['body'], true );

			if ( ! $insta_array ) {
				return new WP_Error( 'bad_json', esc_html__( 'Instagram has returned invalid data.', 'buzzblogpro' ) );
			}
if ( isset( $insta_array['graphql']['user']['profile_pic_url'] ) ) {
			$profile_pic_url = $insta_array['graphql']['user']['profile_pic_url'];
			}else{
			$profile_pic_url = '';
			}
			if ( isset( $insta_array['graphql']['user']['edge_followed_by']['count'] ) ) {
			$followed_by = $insta_array['graphql']['user']['edge_followed_by']['count'];
			}else{
			$followed_by = '';
			}
			if ( isset( $insta_array['graphql']['user']['edge_owner_to_timeline_media']['edges'] ) ) {
				$images = $insta_array['graphql']['user']['edge_owner_to_timeline_media']['edges'];
			} elseif ( isset( $insta_array['graphql']['hashtag']['edge_hashtag_to_media']['edges'] ) ) {
				$images = $insta_array['graphql']['hashtag']['edge_hashtag_to_media']['edges'];
			} else {
				return new WP_Error( 'bad_json_2', esc_html__( 'Instagram has returned invalid data.', 'buzzblogpro' ) );
			}

			if ( ! is_array( $images ) ) {
				return new WP_Error( 'bad_array', esc_html__( 'Instagram has returned invalid data.', 'buzzblogpro' ) );
			}

			$instagram = array();

			foreach ( $images as $image ) {
				if ( true === $image['node']['is_video'] ) {
					$type = 'video';
				} else {
					$type = 'image';
				}

				$caption = esc_html__( 'Instagram Image', 'buzzblogpro' );
				if ( ! empty( $image['node']['edge_media_to_caption']['edges'][0]['node']['text'] ) ) {
					$caption = wp_kses( $image['node']['edge_media_to_caption']['edges'][0]['node']['text'], array() );
				}

				$instagram[] = array(
					'description' => $caption,
					'link'        => trailingslashit( '//www.instagram.com/p/' . $image['node']['shortcode'] ),
					'time'        => $image['node']['taken_at_timestamp'],
					'comments'    => $image['node']['edge_media_to_comment']['count'],
					'likes'       => $image['node']['edge_liked_by']['count'],
					'thumbnail'   => preg_replace( '/^https?\:/i', '', $image['node']['thumbnail_resources'][0]['src'] ),
					'small'       => preg_replace( '/^https?\:/i', '', $image['node']['thumbnail_resources'][2]['src'] ),
					'large'       => preg_replace( '/^https?\:/i', '', $image['node']['thumbnail_resources'][4]['src'] ),
					'original'    => preg_replace( '/^https?\:/i', '', $image['node']['display_url'] ),
					'type'        => $type,
					'profileimage' => $profile_pic_url,
					'followedby' => $followed_by,
				);
			} // End foreach().

			}
    
			// do not set an empty transient - should help catch private or empty accounts
			if ( ! empty( $instagram ) ) {
				$instagram = json_encode( serialize( $instagram ) );
			
				set_transient( 'instagram-hss-' . $transient_prefix . '-' . sanitize_title_with_dashes( $username ), $instagram, apply_filters( 'null_instagram_cache_time', DAY_IN_SECONDS ) );
			}else {
				$instagram = json_encode( serialize( array() ) );
				set_transient( 'instagram-hss-' . $transient_prefix . '-' . sanitize_title_with_dashes( $username ), $instagram, apply_filters( 'null_instagram_cache_time', HOUR_IN_SECONDS * 5 ) );
			}
		}

		if ( ! empty( $instagram ) ) {

			$instagram = unserialize( json_decode( $instagram ) );
				
			return $instagram;

		} else {

			return new WP_Error( 'no_images', esc_html__( 'Instagram did not return any images.', 'buzzblogpro'  ) );

		}
	}

	function images_only( $media_item ) {

		if ( 'image' === $media_item['type'] ) {
			return true;
		}

		return false;
	}
}
?>